## Codepoint List

Codepoint List — List interface for Unicode code points

## Functions

GSList * | unicode_codepoint_list_get_codepoints ()
gint | unicode_codepoint_list_get_index ()
gint | unicode_codepoint_list_get_last_index ()

## Types and Values

#define | UNICODE_UNICHAR_MAX
#define | UNICODE_TYPE_CODEPOINT_LIST
struct | UnicodeCodepointListInterface
| UnicodeCodepointList

## Object Hierarchy

        GInterface
        ╰── UnicodeCodepointList

## Prerequisites

UnicodeCodepointList requires GObject.

## Known Implementations

UnicodeCodepointList is implemented by FontManagerCodepointList.

## Includes

    #include <unicode-codepoint-list.h>

## Description

Interface for a list of unicode codepoints.

## Functions

### unicode_codepoint_list_get_codepoints ()

    GSList *
    unicode_codepoint_list_get_codepoints (UnicodeCodepointList *self,
                                           gint index);

#### Parameters

self | a UnicodeCodepointList |
index | index indicating which codepoints to get |

#### Returns

GSList containing codepoints. Free the returned GSList using ``g_slist_free()``.

[element-type uint][transfer container][nullable]

### unicode_codepoint_list_get_index ()

    gint
    unicode_codepoint_list_get_index (UnicodeCodepointList *self,
                                      GSList *codepoints);

#### Parameters

self | a UnicodeCodepointList |
codepoints | codepoints for which to find the index. | [element-type uint][transfer full][nullable]

#### Returns

Index of `wc` , or -1 if `wc` is not in this codepoint list.

### unicode_codepoint_list_get_last_index ()

    gint
    unicode_codepoint_list_get_last_index (UnicodeCodepointList *self);

#### Parameters

self | a UnicodeCodepointList |

#### Returns

Last index in this codepoint list.

## Types and Values

### UNICODE_UNICHAR_MAX

    #define UNICODE_UNICHAR_MAX (0x0010FFFFUL)

### UNICODE_TYPE_CODEPOINT_LIST

    #define UNICODE_TYPE_CODEPOINT_LIST (unicode_codepoint_list_get_type())

### struct UnicodeCodepointListInterface

    struct UnicodeCodepointListInterface {
        GSList *    (* get_codepoints)  (UnicodeCodepointList *self, gint index);
        /* zero is the first index */
        gint        (* get_index)       (UnicodeCodepointList *self, GSList *codepoints);
        gint        (* get_last_index)  (UnicodeCodepointList *self);
    };

#### Members

`get_codepoints` () |  |
`get_index` () | get the index of `wc` in the list |
`get_last_index` () | last index in the list |

### UnicodeCodepointList

    typedef struct _UnicodeCodepointList UnicodeCodepointList;

## See Also

UnicodeCharacterMap